Page MenuHomePhabricator

Investigate signature problems and mention failure notifications
Closed, ResolvedPublic8 Story Points

Description

Reasoning: For a mention to work, the comment needs to contain a signature. This poses risks, as a wrongly formatted signature results in a mention not being sent. Therefore, we want to find cases of intended, but (for mentions) unsuccessfully made signatures.

Task: Look into the following cases and find out, with how much effort we could detect those errors and notify about them:

  • message included signature not from self
  • signature was embedded in template
  • signature was not the same as ~~~ or ~~~~

Points to all cases are mentioned in https://www.mediawiki.org/wiki/Manual:Echo#Technical_details

Background: This task is based on a wish that received 21 points (#9) in the German Community Wishlist[1]. Originally, the wish was to receive an information about the sent messages. To keep the number of notifications smaller, and to help people use mentions in a way that they are sent, the task informs about mention failures, and adds the reasons for the failure as well.

[1] Link to wish (in German): https://de.wikipedia.org/wiki/Wikipedia:Umfragen/Technische_W%C3%BCnsche_2015/Topw%C3%BCnsche#Bei_Speichern_Hinweis_.C3.BCber_abgegebene_Benachrichtigungen_.5BUmfrage_2015.5D
in English: https://meta.wikimedia.org/wiki/WMDE_Technical_Wishes#Notifications_about_failed_mentions
[2] https://www.mediawiki.org/wiki/Manual:Echo#Technical_details

Event Timeline

Lea_WMDE created this task.Jun 15 2016, 4:33 PM
Restricted Application added subscribers: Zppix, Aklapper. · View Herald TranscriptJun 15 2016, 4:33 PM
Restricted Application added a project: TCB-Team. · View Herald TranscriptJun 15 2016, 4:35 PM

message included signature not from self

One issue is whether the "failed mention" notification will trigger if you move talk page content (which will likely contain a bunch of previously-made mentions with various signatures) to an archive.

Tobi_WMDE_SW set the point value for this task to 8.Jun 16 2016, 2:13 PM
Lea_WMDE updated the task description. (Show Details)Jun 17 2016, 1:08 PM
Addshore added a subscriber: Addshore.EditedJun 22 2016, 12:37 PM

signature was not the same as ~~~ or ~~~~

The code does not care about ~~~~ at all and only tries to match the output of ~~~
If this is not used then the user did not sign, this is the only 'valid' signature in my eyes (you can't sign something without using ~~~)

signature was embedded in template

This seems like an odd edge case. The content of each line could probably be passed through and have templates expanded before trying to find a sig?

message included signature not from self

Basically impossible for this, signatures do not have any set format.

Addshore moved this task from Proposed to Review on the TCB-Team-Sprint-2016-06-16 board.
Tobi_WMDE_SW closed this task as Resolved.Jun 29 2016, 12:48 PM